%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	HTML/XML parser for quick-turnaround applications like screen-scraping.
Name:		python26-beautifulsoup
Version:	3.0.8.1	
Release:	1
BuildArch:	i686
License:	BSD
URL:		http://www.crummy.com/software/BeautifulSoup/#Download/
Group:		Development/Python		
Source0:	BeautifulSoup-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: python26-devel

%description
Beautiful Soup parses arbitrarily invalid SGML and provides a variety of methods and Pythonic idioms for iterating and searching the parse tree.

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn BeautifulSoup-%{version}

%build
/usr/bin/python%{PYVER} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
/usr/bin/python%{PYVER} setup.py install --root="$RPM_BUILD_ROOT" 

%files
%defattr(-,root,root)
%{python_sitelib}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jun 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.0.8.1-1
- Initial Release
